Name:           python-peek-field-service
Version:        4.1.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Peek Field Service - where Peek Field App is served

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Synerty/peek-field-service
Source:         %{pypi_source peek-field-service}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'peek-field-service' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-peek-field-service
Summary:        %{summary}

%description -n python3-peek-field-service %_description


%prep
%autosetup -p1 -n peek-field-service-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-peek-field-service -f %{pyproject_files}


%changelog
%autochangelog